| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Attributes | List of all members
OBCameraAlignIntrinsic Struct Reference

Video stream intrinsics. More...

`#include <ObTypes.h>`

## Public Attributes
int | width
int | height
float | ppx
float | ppy
float | fx
float | fy
OBCameraDistortionModel | model
float | coeffs [5]

## Detailed Description

Video stream intrinsics.

Definition at line 439 of file ObTypes.h.

## Member Data Documentation

## ◆ width

int OBCameraAlignIntrinsic::width

Width of the image in pixels

Definition at line 440 of file ObTypes.h.

## ◆ height

int OBCameraAlignIntrinsic::height

Height of the image in pixels

Definition at line 441 of file ObTypes.h.

## ◆ ppx

float OBCameraAlignIntrinsic::ppx

Horizontal coordinate of the principal point of the image, as a pixel offset from the left edge

Definition at line 442 of file ObTypes.h.

## ◆ ppy

float OBCameraAlignIntrinsic::ppy

Vertical coordinate of the principal point of the image, as a pixel offset from the top edge

Definition at line 443 of file ObTypes.h.

## ◆ fx

float OBCameraAlignIntrinsic::fx

Focal length of the image plane, as a multiple of pixel width

Definition at line 444 of file ObTypes.h.

## ◆ fy

float OBCameraAlignIntrinsic::fy

Focal length of the image plane, as a multiple of pixel height

Definition at line 445 of file ObTypes.h.

## ◆ model

OBCameraDistortionModel OBCameraAlignIntrinsic::model

Distortion model of the image

Definition at line 446 of file ObTypes.h.

## ◆ coeffs

float OBCameraAlignIntrinsic::coeffs[5]

Distortion coefficients. Order for Brown-Conrady: [k1, k2, p1, p2, k3]. Order for F-Theta Fish-eye: [k1, k2, k3, k4, 0]. Other models are subject to their own interpretations

Definition at line 447 of file ObTypes.h.

The documentation for this struct was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/h/ObTypes.h